<?php

namespace domain\Product\ProductCategory;

use domain\_\AbstractBuilder;

class ProductCategoryBuilder extends AbstractBuilder
{
    public function instanciateProductCategory(): ProductCategory
    {
        $productCategory = new ProductCategory();

        return $productCategory;
    }

    public function createProductCategory(): ProductCategory
    {
        $productCategory = $this->instanciateProductCategory();
        $this->saveCreate($productCategory);

        return $productCategory;
    }
}